//go:build !windows

package gol

import (
	"log"
	"os"
	"syscall"
)

func redirectStderrToFile(conf *Configuration) {
	fileName := buildErrorsFilename(conf.File.Filename)
	f, err := os.OpenFile(fileName, os.O_RDWR|os.O_CREATE|os.O_APPEND, 0666)
	if err != nil {
		log.Fatalf("open %s: %s", fileName, err)
	}
	if err = syscall.Dup2(int(f.Fd()), int(os.Stderr.Fd())); err != nil {
		log.Fatalf("Failed to redirect stderr to file: %s", err)
	}
}
